Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xjavadoc
Interface XTag

All Known Implementing Classes:
  DefaultXTag

public interface XTag

Author:
  Aslak Hellesøy

Method Summary
`void` | `addTagListener(XTagListener tagListener)`
`boolean` | `equals(Object o)`
`Collection` | `getAttributeNames()` Returns all tag attribute names, in the order they occur in the source.
`String` | `getAttributeValue(String attributeName)` Returns the value of the tag parameter with the given name, or null if none exist;
`XDoc` | `getDoc()` Returns the XDoc object we belong to.
`String` | `getInfo()`
`int` | `getLineNumber()`
`String` | `getName()` Returns the full name of the tag, excluding the @
`String` | `getValue()` Returns the full value of the tag.
`int` | `hashCode()`
`String` | `removeAttribute(String attributeName)`
`void` | `removeTagListener(XTagListener tagListener)`
`void` | `setAttribute(String attributeName, String attributeValue)` Adds a parameter
`void` | `validate()` Validates the tag.

Method Detail

### getAttributeValue

    public String getAttributeValue(String attributeName)

  Returns the value of the tag parameter with the given name, or null if none exist;

  Parameters:
    `attributeName` - Describe what the parameter does
  Returns:
    The Parameter value

### getAttributeNames

    public Collection getAttributeNames()

  Returns all tag attribute names, in the order they occur in the source.

  Returns:
    The Parameters value

### getName

    public String getName()

  Returns the full name of the tag, excluding the @

  Returns:
    Describe the return value

### getValue

    public String getValue()

  Returns the full value of the tag.

  Returns:
    Describe the return value

### getDoc

    public XDoc getDoc()

  Returns the XDoc object we belong to.

  Returns:
    the XDoc object we belong to.

### getLineNumber

    public int getLineNumber()

### getInfo

    public String getInfo()

### setAttribute

    public void setAttribute(String attributeName,
                             String attributeValue)

  Adds a parameter

  Parameters:
    `attributeName` - name of the attribute
    `attributeValue` - value of the attribute

### removeAttribute

    public String removeAttribute(String attributeName)

### addTagListener

    public void addTagListener(XTagListener tagListener)

### removeTagListener

    public void removeTagListener(XTagListener tagListener)

### equals

    public boolean equals(Object o)

### hashCode

    public int hashCode()

### validate

    public void validate()
                  throws TagValidationException

  Validates the tag.

  Throws:
    `TagValidationException` - if the content of the tag is somehow invalid

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2004 XDoclet Team. All Rights Reserved.